<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_category
 * @author		web-eau.net
 * @copyright   (C) 2010 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;

if (!$list)
{
	return;
}

?>

<div class="blog-home3 py-5">
	
	<div class="contain">

		<div class="row">
		
			<div class="col-md-12">
				<?php 
					$article_image   = [];
					$article_image_alt   = [];
				?>
				<?php foreach ($list as $item) : ?>
					<?php
						$article_images  = json_decode($item->images);
						
						if(isset($article_images->image_intro) && !empty($article_images->image_intro)) {
							$article_image[$item->id]  = $article_images->image_intro;
							$article_image_alt[$item->id]  = $article_images->image_intro_alt;
						} else {
							$article_image[$item->id]  = 'images/assets/grey-bg.png'; // image placeholder
							$article_image_alt[$item->id]  = 'No image'; // alt image placeholder
						}
					?> 

				<?php endforeach; ?>
				<div class="row">
			
					<!-- lead article -->
					<div class="col-lg-6">
						<div class="border mb-4">
							<!-- intro image -->
							<a class="" href="<?php echo $list[0]->link; ?>">
								<img class="card-img-top" src="<?php echo $article_image[$list[0]->id]; ?>" alt="<?php echo $article_image_alt[$list[0]->id]; ?>" />
							</a>	
							
							<!-- author + publish date -->
							<div class="date-pos text-center text-white p-3 bg-success-gradiant">
								<span class="px-2 text-uppercase fs-6"><?php echo $list[0]->displayAuthorName; ?></span>
								<span class="px-2 text-uppercase fs-6"><?php echo $list[0]->displayDate; ?></span>
							</div>
							
                          	<div class="card-body">
							<!-- article title -->
							<h4 class="font-weight-medium mt-3">
								<a href="<?php echo $list[0]->link; ?>" class="link text-decoration-none mod-articles-category-title <?php echo $list[0]->active; ?>"><?php echo $list[0]->title; ?></a>
							</h4>
							
							<!-- introtext -->
							<p class="pt-3 m-t-20"><?php echo $list[0]->displayIntrotext; ?></p>
                            </div>
                          
						</div>
					</div>
			
					<!-- articles column -->
					<div class="col-lg-6">
						<div class="row">
						
							<!-- article #2 -->
							<div class="col-md-6">
								<div class="border mb-4">
									<a class="" href="<?php echo $list[1]->link; ?>">
										<img class="card-img-top" src="<?php echo $article_image[$list[1]->id]; ?>" alt="<?php echo $article_image_alt[$list[1]->id]; ?>" />
									</a>	
									<div class="date-pos text-center text-white p-3 bg-success-gradiant">
										<span class="px-2 text-uppercase"><?php echo $list[1]->displayAuthorName; ?></span>
										<span class="px-2 text-uppercase"><?php echo $list[1]->displayDate; ?></span>
									</div>
									<div class="card-body">
									<h5 class="font-weight-medium mt-3">								
										<a href="<?php echo $list[1]->link; ?>" class="link text-decoration-none mod-articles-category-title <?php echo $list[1]->active; ?>"><?php echo $list[1]->title; ?></a>
									</h5>
									</div>
								</div>
							</div>
							
							<!-- article #3 -->
							<div class="col-md-6">
								<div class="border mb-4">
									<a class="" href="<?php echo $list[2]->link; ?>">
										<img class="card-img-top" src="<?php echo $article_image[$list[2]->id]; ?>" alt="<?php echo $article_image_alt[$list[2]->id]; ?>" />
									</a>	
									<div class="date-pos text-center text-white p-3 bg-success-gradiant">
										<span class="px-2 text-uppercase"><?php echo $list[2]->displayAuthorName; ?></span>
										<span class="px-2 text-uppercase"><?php echo $list[2]->displayDate; ?></span>
									</div>
									<div class="card-body">
									<h5 class="font-weight-medium mt-3">								
										<a href="<?php echo $list[2]->link; ?>" class="link text-decoration-none mod-articles-category-title <?php echo $list[2]->active; ?>"><?php echo $list[2]->title; ?></a>
									</h5>
									</div>
								</div>
							</div>
							
							<!-- article #4 -->
							<div class="col-md-6">
								<div class="border mb-4">
									<a class="" href="<?php echo $list[3]->link; ?>">
										<img class="card-img-top" src="<?php echo $article_image[$list[3]->id]; ?>" alt="<?php echo $article_image_alt[$list[3]->id]; ?>" />
									</a>	
									<div class="date-pos text-center text-white p-3 bg-success-gradiant">
										<span class="px-2 text-uppercase"><?php echo $list[3]->displayAuthorName; ?></span>
										<span class="px-2 text-uppercase"><?php echo $list[3]->displayDate; ?></span>
									</div>
									<div class="card-body">
									<h5 class="font-weight-medium mt-3">								
										<a href="<?php echo $list[3]->link; ?>" class="link text-decoration-none mod-articles-category-title <?php echo $list[3]->active; ?>"><?php echo $list[3]->title; ?></a>
									</h5>
									</div>
								</div>
							</div>
							
							<!-- article #5 -->
							<div class="col-md-6">
								<div class="border mb-4">
									<a class="" href="<?php echo $list[4]->link; ?>">
										<img class="card-img-top" src="<?php echo $article_image[$list[4]->id]; ?>" alt="<?php echo $article_image_alt[$list[4]->id]; ?>" />
									</a>	
									<div class="date-pos text-center text-white p-3 bg-success-gradiant">
										<span class="px-2 text-uppercase"><?php echo $list[4]->displayAuthorName; ?></span>
										<span class="px-2 text-uppercase"><?php echo $list[4]->displayDate; ?></span>
									</div>
									<div class="card-body">
									<h5 class="font-weight-medium mt-3">								
										<a href="<?php echo $list[4]->link; ?>" class="link text-decoration-none mod-articles-category-title <?php echo $list[4]->active; ?>"><?php echo $list[4]->title; ?></a>
									</h5>
									</div>
								</div>
							</div>

						</div>
					</div>
			
				</div>
		
			</div>
		
		</div>
	
	</div>
	
</div>